******* This is ncr6a.sps - we incorporate the vars obtained from
******* Peter S at the SSRU on 27.3.96 here.
******* At the end we save a file with men and women


import file=elias396.exp/rename serial=snumber5/
condes vars=all
save outfile=elias396.sav

match files file=ncr5.sav/in=inwt1/file=elias396.sav/by=snumber5/


set length=none

recode sex,item0622 (sysmis,-1=-999)
missing values sex,item0622 (-999)

**************************************************************
*****  These are the codes created by Peter Elias to create
*****  a pre 81 qual var from the ncds4 data set.
*****
**************************************************************

compute quapre23=5
if n4528 eq 1 and n4529 eq 29 or n4529 eq 30 or n4529 eq 31 
                        quapre23=1
if quapre23 eq 5 and (n4448 eq 29 or n4448 eq 30 or n4448 eq 31)
                        quapre23=1
if quapre23 eq 5 and (n4465 eq 29 or n4465 eq 30 or n4465 eq 31)
                        quapre23=1
if quapre23 eq 5 and (n4478 eq 29 or n4478 eq 30 or n4478 eq 31)
                        quapre23=1
if quapre23 eq 5 and (n4523 eq 29 or n4523 eq 30 or n4523 eq 31)
                        quapre23=1

if quapre23 eq 5 and ((n4657 eq 1) or (n4529 eq 6 or n4529 eq 8
                               or n4529 eq 9)) quapre23=2
if quapre23 eq 5 and (n4448 eq 6 or n4448 eq 8
                               or n4448 eq 9) quapre23=2
if quapre23 eq 5 and (n4465 eq 6 or n4465 eq 8
                               or n4465 eq 9) quapre23=2
if quapre23 eq 5 and (n4478 eq 6 or n4478 eq 8
                               or n4478 eq 9) quapre23=2
if quapre23 eq 5 and (n4523 eq 6 or n4523 eq 8
                               or n4523 eq 9) quapre23=2
if quapre23 eq 5 and ((n4655 eq 1) or ((n4529 ge 3 and n4529 le 5)
                              or n4529 eq 7)) quapre23=3
if quapre23 eq 5 and ((n4448 ge 3 and n4448 le 5)
                              or n4448 eq 7) quapre23=3
if quapre23 eq 5 and ((n4465 ge 3 and n4465 le 5)
                              or n4465 eq 7) quapre23=3
if quapre23 eq 5 and ((n4478 ge 3 and n4478 le 5)
                              or n4478 eq 7) quapre23=3
if quapre23 eq 5 and ((n4523 ge 3 and n4523 le 5)
                              or n4523 eq 7) quapre23=3
if quapre23 eq 5 and (n4529 lt 3 or (n4529 gt 9 and n4529 lt 29))
                quapre23=4
if quapre23 eq 5 and (n4448 lt 3 or (n4448 gt 9 and n4448 lt 29))
                quapre23=4
if quapre23 eq 5 and (n4465 lt 3 or (n4465 gt 9 and n4465 lt 29))
                quapre23=4
if quapre23 eq 5 and (n4478 lt 3 or (n4478 gt 9 and n4478 lt 29))
                quapre23=4
if quapre23 eq 5 and (n4523 lt 3 or (n4523 gt 9 and n4523 lt 29))
                quapre23=4
variable labels quapre23 'highest qual pre 1981'
value labels quapre23 (1)degree (2)A levels (3)O levels (4)vocational
                      (5)none
frequencies variables=quapre23 

crosstabs tables=quapre23 by dqupr811 dqupr812 dqupr813
 dqupr814 dqupr815 dqupr816/missing=include
*******************************************************************
***** The sex var called sex has some errors in it itseems - Peter 2.10.95
***** The correct var should be item0622 from ncds1.
***** This cr5b. uses this new var to select men - Wiji 4.10.95
*******************************************************************
crosstabs tables=sex by item0622/missing=include

*********************************************************
*****
*********************************************************
select if (item0622=1 or item0622=2)
select if ( prncds4=1 and prncds5=1)
crosstabs tables=sex by item0622/missing=include

recode dmath,dread,gram,private,dirgrant,a8113,
 socmaj81,socmaj91,a81urt81,sinceoed,sincewtr,
 region,tenure91,tenu81,dadlsu16,lnpar81,lnpar91,white,
 cstat,ftdum,cjob,mrjob,appr,sch17,sch18,dsabaw81,dsabaw91,
 tum00,tum01,tum10,tum11,ten81new,temp81,temp91,fted81,fted91,
 priv91,priv81,size81,size91,size00,size01,size10 (sysmis,-1=-999)

recode
 dqupr811 dqupr812 dqupr813 dqupr814 dqupr815 dqupr816,dsoc1 to dsoc5,
 dstat81,dstat91,
 mar81,mar91,wktr3,nuwktr3,qwkrt1 to chjbaf1,qtr,acc,nuqtr,ghpay81,ghpay91
 (sysmis,-1=-999)

recode
 nuacc nuqtracc qcrse1 to cchjb1 qtracc eptcfj eptccj anuwktr ftrst ftrcom
 ftrqu aed aedst aedqu nokid81 nokid91,grp81a1 to grp81a5
 grp91a1 to grp91a5 n4144 econst81 quapre23
 (sysmis,-1=-999)



if (dstat81=0) temp81=0
if (dstat91=0) temp91=0
if (dstat81=1 and temp81 ne 1) temp81=0
if (dstat91=1 and temp91 ne 1) temp91=0




******  this tenure var is created using ncds4 rather than ncds5 
******  work history info.

compute tenure81=ten81new
if (dstat81=0) tenure81=0
if (dstat91=0) tenure91=0
recode tenure81 tenure91 (-9 thru -1, 999=-999)

recode dmath,dread (99=-999)
recode dadlsu16 (99=-999) (2=0)

recode socmaj81,socmaj91 (-9=-999)
recode region (-1=-999)

recode 
   ftexp81 ptexp81 unemp81 olf81 ftexp91 ptexp91 
   unemp91 olf91 njob91
   qwkrt2 trprog2 trcomp2 ewkrt2 chjbaf2
   qwkrt3 trprog3 trcomp3 ewkrt3 chjbaf3
   qcrse2 ccom2 cprog2 ecrse2 cchjb2 anuwktr (sysmis,-1=-999)

missing values dmath,dread,gram,private,dirgrant,a8113,
 socmaj81,socmaj91,a81urt81,sinceoed,sincewtr,
 region,tenure91,tenure81,dadlsu16,lnpar81,lnpar91,white,
 cstat,ftdum,cjob,mrjob,appr,sch17,sch18,dsabaw81,dsabaw91,
 tum00,tum01,tum10,tum11,
 priv91,priv81,size81,size91,size00,size01,size10 
 dqupr811 dqupr812 dqupr813 dqupr814 dqupr815 dqupr816,dsoc1 to dsoc5,
 dstat81,dstat91,
 mar81,mar91,wktr3,nuwktr3,qwkrt1 to chjbaf1,qtr,acc,nuqtr,ghpay81,ghpay91
 nuacc nuqtracc qcrse1 to cchjb1 qtracc eptcfj eptccj anuwktr ftrst ftrcom
 ftrqu aed aedst aedqu nokid81 nokid91 grp81a1 to grp81a5
 grp91a1 to grp91a5 n4144 econst81 quapre23 (-999)

missing values   njob81 ftexp81 ptexp81 unemp81 olf81 ftexp91 ptexp91 
   unemp91 olf91 njob91
   qwkrt2 trprog2 trcomp2 ewkrt2 chjbaf2
   qwkrt3 trprog3 trcomp3 ewkrt3 chjbaf3
   qcrse2 ccom2 cprog2 ecrse2 cchjb2 anuwktr (-999)



***********************************************************

do repeat a=sincewtr,sincewt1,sincewt2,sincewt3/
if (nuwktr3=0) a=0
end repeat
if (nuwktr3=1) sincewt2=0
if (nuwktr3=1) sincewt3=0
if (nuwktr3=2) sincewt3=0

if (nuqtracc=0) sinceoed=0

recode sinceoed,sincewtr,sincewt1,sincewt2,sincewt3 (lo thru -1=-999)
missing values sinceoed,sincewtr,sincewt1,sincewt2,sincewt3 (-999)

****************************************************************************
*****
*****  Labour market experience variables
*****
*****  For 1991:
*****  FTEXP91 and PTEXP91 are ft and pt emp experiences in months up to 1991
*****  njob91 - no. jobs including current up to 1991 int.
*****  nounemp - no of unemp spells up to 1991.
*****  unemp91 - months of unemp. experienced up to 1991.
*****  THESE WERE OBTAINED FROM ACCNCDS - work history data from NCDS5.
*****
*****  For 1981: obtained from ACCNCDS:
*****  NPREVEM - no. of emp. spells up to interview date in 1981.
*****  NPREVUN - no. of unemp. spells "           """"".
*****  CUMALLUN - months of unemp.
*****  CUMALLEM - months of emp.
*****
*****  NJOB81 - no. of jobs incl current obtained from NCDS4.
*****
***************************************************************************

recode ftexp91,ptexp91,njob91,nounemp,unemp91,nprevem,nprevun,
       cumallun,cumallem,njob81 (sysmis, -9 thru -1,999=-999)
missing values ftexp81,ptexp91,njob91,nounemp,unemp91,nprevem,nprevun,
       cumallun,cumallem,njob81 (-999)

compute empexp91=ftexp91+ptexp91

freq vars=njob91,nounemp,nprevem,nprevun,njob81

condes vars=ftexp91,ptexp91,njob91,nounemp,unemp91,nprevem,nprevun,
       cumallun,cumallem,njob81,empexp91 


**************************************************************************
***************************************************************************


***** creating new set of vars related to the most recent training and the
***** highest qual course.
*****
compute cfail=0
compute trfail=0
if (nuqtracc>0 and qcrse1=0 and ccom1=1) cfail=1
if (nuwktr3>0 and n501316=1 and n501341=8 and n501418=1) trfail=1

recode cfail,trfail,n501316 (sysmis=-999)



save outfile=ncr6a.sav


finish


